Name:          libprelude
Version:       1.0.1
Release:       1mamba
Summary:       A hybrid Intrusion Detection framework implementing an open communication layer
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.prelude-technologies.com
Source:        https://www.prelude-ids.org/attachments/download/241/libprelude-%{version}.tar.gz
Patch0:        %{name}-1.0.0-libtool-2.4.patch
Patch1:        libprelude-1.0.0-gcc-4.6.patch
Patch2:        libprelude-1.0.0-libgnutls-3.0.5.patch
Patch3:        libprelude-1.0.1-gcc-4.7.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libgcrypt-devel
BuildRequires: libgmp-devel
BuildRequires: libgnutls-devel
BuildRequires: libgpg-error-devel
BuildRequires: libltdl-devel
BuildRequires: libnettle-devel
BuildRequires: libpython-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtasn1-devel
BuildRequires: libz-devel
BuildRequires: p11-kit-devel
BuildRequires: perl-devel
BuildRequires: ruby-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Prelude is an Hybrid IDS framework, that is, it is a product that enable all available security application, be it opensource or proprietary, to report to a centralized system. In order to achieve this task, Prelude relies on the IDMEF (Intrusion Detection Message Exchange Format) IETF standard, that enables different kinds of sensors to generate events using an unified language.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
Prelude is an Hybrid IDS framework, that is, it is a product that enable all available security application, be it opensource or proprietary, to report to a centralized system. In order to achieve this task, Prelude relies on the IDMEF (Intrusion Detection Message Exchange Format) IETF standard, that enables different kinds of sensors to generate events using an unified language.
This package contains static libraries and header files need for development.

%package -n perl-Prelude
Summary:       Perl interface to the Prelude Intrution Detection Framework
Group:         System/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n perl-Prelude
Prelude is an Hybrid IDS framework, that is, it is a product that enable all available security application, be it opensource or proprietary, to report to a centralized system. In order to achieve this task, Prelude relies on the IDMEF (Intrusion Detection Message Exchange Format) IETF standard, that enables different kinds of sensors to generate events using an unified language.
This package contains the perl library interface.

%package -n python-Prelude
Summary:       Python interface to the Prelude Intrution Detection Framework
Group:         System/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRequires: libtasn1-devel

%description -n python-Prelude
Prelude is an Hybrid IDS framework, that is, it is a product that enable all available security application, be it opensource or proprietary, to report to a centralized system. In order to achieve this task, Prelude relies on the IDMEF (Intrusion Detection Message Exchange Format) IETF standard, that enables different kinds of sensors to generate events using an unified language.
This package contains the python library interface.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
export CFLAGS="-Wno-deprecated-declarations"
%configure --without-lua
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

find %{buildroot}/usr/lib/perl5 -name perllocal.pod -exec rm -f {} \;

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/prelude
%{_sysconfdir}/prelude/default/*.conf
%{_bindir}/prelude-adduser
%{_bindir}/prelude-admin
%{_libdir}/libprelude.so.*
%{_libdir}/libpreludecpp.so.*
%{_libdir}/ruby/site_ruby
%{_mandir}/man1/prelude-admin.1.gz
%doc AUTHORS COPYING ChangeLog NEWS README

%files devel
%defattr(-,root,root)
%{_bindir}/libprelude-config
%dir %{_includedir}/libprelude
%{_includedir}/libprelude/*.h
%{_includedir}/libprelude/*.hxx
%{_datadir}/aclocal/libprelude.m4
%{_datadir}/gtk-doc/html/libprelude/*
%{_libdir}/libprelude.la
%{_libdir}/libprelude.so
%{_libdir}/libpreludecpp.la
%{_libdir}/libpreludecpp.so
#%{_libdir}/PreludeEasy.la
#%{_libdir}/PreludeEasy.so
%{_libdir}/pkgconfig/libprelude.pc

%files -n perl-Prelude -f .packlist
%defattr(-,root,root)

%files -n python-Prelude
%defattr(-,root,root)
%{python_sitearch}/*

%changelog
* Fri Nov 16 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.1-1mamba
- update to 1.0.1

* Wed Sep 26 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.0-2mamba
- rebuilt (gcc 4.6 and gnutls patches added; disabled lua support)

* Thu Nov 11 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.0-1mamba
- update to 1.0.0

* Mon Jun 02 2008 gil <puntogil@libero.it> 0.9.17.2-1mamba
- update to 0.9.17.2

* Sun Jun 24 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.14-1mamba
- package created by autospec
